Skip to content

Archives

All operations require authentication.

4 operationsv1/dbaas/logs
Agent setup

List archivesProduction

GET
/1.0/dbaas/logs/{serviceName}/output/graylog/stream/{streamId}/archive

Returns the archives of the Logs Data Platform service.

Path parameters

serviceName
required
string

Service name

streamId
required
stringuuid

Stream ID

Response

200string[]successful operation
404objectError 404 response

Example uses serviceName = string, streamId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/output/graylog/stream/{streamId}/archive \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "00000000-0000-0000-0000-000000000000"]

Get an archiveProduction

GET
/1.0/dbaas/logs/{serviceName}/output/graylog/stream/{streamId}/archive/{archiveId}

Returns the archive.

Path parameters

archiveId
required
stringuuid

Archive ID

serviceName
required
string

Service name

streamId
required
stringuuid

Stream ID

Response

200Archivesuccessful operation
archiveId
read-only
stringuuid

Archive ID

createdAt
read-only
stringdate-time

Create date

filename
read-only
string

Filename

md5
read-only
string

MD5 checksum

retrievalDelay
read-only
integer

Retrieval delay

retrievalState
read-only
ArchiveRetrievalStateEnum

Retrieval state

Valuessealedunsealedunsealing
sha256
read-only
string

sha256 checksum

size
read-only
integer

File size in bytes

404objectError 404 response

Example uses archiveId = 00000000-0000-0000-0000-000000000000, serviceName = string, streamId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/output/graylog/stream/{streamId}/archive/{archiveId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "archiveId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "filename": "string", "md5": "string", "retrievalDelay": 0, "retrievalState": "sealed", "sha256": "string", "size": 0}

List encryption keys for an archiveProduction

GET
/1.0/dbaas/logs/{serviceName}/output/graylog/stream/{streamId}/archive/{archiveId}/encryptionKey

Returns the encryption keys that can decrypt the archive.

Path parameters

archiveId
required
stringuuid

Archive ID

serviceName
required
string

Service name

streamId
required
stringuuid

Stream ID

Response

200string[]successful operation
404objectError 404 response

Example uses archiveId = 00000000-0000-0000-0000-000000000000, serviceName = string, streamId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/output/graylog/stream/{streamId}/archive/{archiveId}/encryptionKey \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "00000000-0000-0000-0000-000000000000"]

Create a temporary URL for an archiveProduction

POST
/1.0/dbaas/logs/{serviceName}/output/graylog/stream/{streamId}/archive/{archiveId}/url

Creates a temporary URL to download the archive. The URL expires.

Path parameters

archiveId
required
stringuuid

Archive ID

serviceName
required
string

Service name

streamId
required
stringuuid

Stream ID

Response

200ArchiveUrlsuccessful operation
expirationDate
read-only
stringdate-time

Temporary URL expiration date

url
read-only
string

Temporary URL to get archive

404objectError 404 response

Example uses archiveId = 00000000-0000-0000-0000-000000000000, serviceName = string, streamId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/output/graylog/stream/{streamId}/archive/{archiveId}/url \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "expirationDate": "2024-01-01T12:00:00Z", "url": "string"}